<?xml version="1.0" encoding="UTF-8"?>

<!--
 Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 Use is subject to license terms.
-->

<web-app version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
        <display-name>Via Lactea. Query FITS datacubes.</display-name>
        <distributable/>


        <filter>
                <filter-name>FormatResponseFilter</filter-name>
                <filter-class>FormatResponseFilter</filter-class>
        </filter>
        <filter-mapping>
                <filter-name>FormatResponseFilter</filter-name>
                <url-pattern>/*</url-pattern>
        </filter-mapping>



        <filter>
                <filter-name>TokenFilter</filter-name>
                <filter-class>NeaTokenFilter</filter-class>
        </filter>
        <filter-mapping>
                <filter-name>TokenFilter</filter-name>
                <url-pattern>/*</url-pattern>
        </filter-mapping>

        <filter>
                <filter-name>AuthorizationResponseFilter</filter-name>
                <filter-class>AuthorizationResponseFilter</filter-class>
        </filter>
        <filter-mapping>
                <filter-name>AuthorizationResponseFilter</filter-name>
                <url-pattern>/*</url-pattern>
        </filter-mapping>



<servlet>
   <servlet-name>vlkb_search</servlet-name>
   <servlet-class>SearchServlet</servlet-class>
</servlet>
<servlet-mapping>
   <servlet-name>vlkb_search</servlet-name>
   <url-pattern></url-pattern>
</servlet-mapping>


<servlet>
   <servlet-name>vlkb_vosi_availability</servlet-name>
   <servlet-class>VlkbServletFile</servlet-class>
</servlet>
<servlet-mapping>
   <servlet-name>vlkb_vosi_availability</servlet-name>
   <url-pattern>/availability</url-pattern>
</servlet-mapping>


<servlet>
   <servlet-name>vlkb_vosi_capabilities</servlet-name>
   <servlet-class>VlkbServletFile</servlet-class>
</servlet>
<servlet-mapping>
   <servlet-name>vlkb_vosi_capabilities</servlet-name>
   <url-pattern>/capabilities</url-pattern>
</servlet-mapping>


</web-app>


